Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography Library 1.45
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.bouncycastle.asn1
Class DERInteger

    java.lang.Object
      org.bouncycastle.asn1.ASN1Encodable
          org.bouncycastle.asn1.DERObject
              org.bouncycastle.asn1.ASN1Object
                  org.bouncycastle.asn1.DERInteger

All Implemented Interfaces:
  DEREncodable, DERTags

Direct Known Subclasses:
  CRLNumber

    public class DERInteger

extends ASN1Object

Field Summary

Fields inherited from class org.bouncycastle.asn1.ASN1Encodable
`BER, DER`

Fields inherited from interface org.bouncycastle.asn1.DERTags
`APPLICATION, BIT_STRING, BMP_STRING, BOOLEAN, CONSTRUCTED, ENUMERATED, EXTERNAL, GENERAL_STRING, GENERALIZED_TIME, GRAPHIC_STRING, IA5_STRING, INTEGER, NULL, NUMERIC_STRING, OBJECT_IDENTIFIER, OCTET_STRING, PRINTABLE_STRING, SEQUENCE, SEQUENCE_OF, SET, SET_OF, T61_STRING, TAGGED, UNIVERSAL_STRING, UTC_TIME, UTF8_STRING, VIDEOTEX_STRING, VISIBLE_STRING`

Constructor Summary
`DERInteger(java.math.BigInteger value)`
`DERInteger(byte[] bytes)`
`DERInteger(int value)`

Method Summary
`static DERInteger` | `getInstance(ASN1TaggedObject obj, boolean explicit)` return an Integer from a tagged object.
`static DERInteger` | `getInstance(java.lang.Object obj)` return an integer from the passed in object
`java.math.BigInteger` | `getPositiveValue()` in some cases positive values get crammed into a space, that's not quite big enough...
`java.math.BigInteger` | `getValue()`
`int` | `hashCode()`
`java.lang.String` | `toString()`

Methods inherited from class org.bouncycastle.asn1.ASN1Object
`equals, fromByteArray`

Methods inherited from class org.bouncycastle.asn1.DERObject
`toASN1Object`

Methods inherited from class org.bouncycastle.asn1.ASN1Encodable
`getDEREncoded, getDERObject, getEncoded, getEncoded`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### DERInteger

    public DERInteger(int value)

### DERInteger

    public DERInteger(java.math.BigInteger value)

### DERInteger

    public DERInteger(byte[] bytes)

Method Detail

### getInstance

    public static DERInteger getInstance(java.lang.Object obj)

  return an integer from the passed in object

  Throws:
    `java.lang.IllegalArgumentException` - if the object cannot be converted.

### getInstance

    public static DERInteger getInstance(ASN1TaggedObject obj,
                                         boolean explicit)

  return an Integer from a tagged object.

  Parameters:
    `obj` - the tagged object holding the object we want
    `explicit` - true if the object is meant to be explicitly tagged false otherwise.
  Throws:
    `java.lang.IllegalArgumentException` - if the tagged object cannot be converted.

### getValue

    public java.math.BigInteger getValue()

### getPositiveValue

    public java.math.BigInteger getPositiveValue()

  in some cases positive values get crammed into a space, that's not quite big enough...

### hashCode

    public int hashCode()

  Specified by:
    `hashCode` in class `ASN1Object`

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography Library 1.45
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD